Bug 68026 - table cell of type void: body displayed
Summary: table cell of type void: body displayed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: odf
Keywords:
Depends on:
Blocks: 68020
  Show dependency treegraph
 
Reported: 2013-08-12 14:35 UTC by Lionel Elie Mamane
Modified: 2021-12-03 04:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test case (4.92 KB, application/vnd.oasis.opendocument.text)
2013-08-12 14:35 UTC, Lionel Elie Mamane
Details
Image of sample file displayed in Writer (75.41 KB, image/jpeg)
2013-11-18 10:10 UTC, Doug Naphas
Details
document with manipulated content.xml (9.23 KB, application/vnd.oasis.opendocument.text)
2015-04-20 23:39 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-12 14:35:21 UTC
Created attachment 83973 [details]
test case

Consider the attached test case.

The second and third columns of rows August Secundo & Tertio are of type void. Their body (<text:p> child) is displayed anyway. According to my understanding, it should not be displayed.
Comment 1 Doug Naphas 2013-11-18 10:10:35 UTC
Created attachment 89399 [details]
Image of sample file displayed in Writer
Comment 2 Doug Naphas 2013-11-18 10:15:25 UTC
@Lionel Elie Mamane, please see the image I just attached.  It shows how the sample document displays on my system.  Is this how it displays on yours?  I do not see a body like <text:p> child.  Also, how did you generate the file, and how can I either set a column type to void, or confirm in the UI that a column type is set to void?
Comment 3 Lionel Elie Mamane 2013-11-18 10:53:10 UTC
(In reply to comment #2)

> please see the image I just attached.
> It shows how the sample document displays on my system.
> Is this how it displays on yours?

Yes. The second and third column should be blank, but show "text content".

> I do not see a body like <text:p> child.

The "text content" you see is the <text:p> child of the table cell.

> Also, how did you generate the file,

I took an odt file generated by report builder, and then edited the
XML in a text editor to remove everything that is not necessary to
show the problem (I minimised the test case).

> and how can I either set a column type to void,

In the XML (content.xml file of the test case seen as a ZIP
archive):

 <table:table-cell table:style-name="ce2" office:value-type="void">

that's where the void type is.

> or confirm in the UI that a column type is set to void?

I don't think the UI shows that. It is in the file format.
See http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#refTable13
Comment 4 Doug Naphas 2013-11-23 14:04:26 UTC
@Lionel Elie Mamane, thanks for the explanation.  I am confirming this on Ubuntu 12.04, Build ID 960aee493a7bdbda69cbe60049edd9c4cafaab8e.
Comment 5 QA Administrators 2015-04-19 03:23:24 UTC Comment hidden (obsolete)
Comment 6 Gordo 2015-04-20 23:39:11 UTC
Created attachment 114970 [details]
document with manipulated content.xml

I had a look at the content.xml of the original file.

Table showing office:value-type:
__|__A___|__B___|__C___|
1 |void  |void  |string| <--table:table-cell
  |      |string|string| <--text:variable-set within text:p
------------------------
2 |string|void  |void  | <--table:table-cell
  |      |string|string| <--text:variable-set within text:p

Cell A1 is void and contains "August Secundo".
Cell C1 is string and contains "text content".

In the specification:
If the value type is not string, the corresponding Value Attribute(s) (Table 14 - Value attributes) shall contain the value(s) of the element.
If the value type is string and the office:string-value attribute is not present, the element content defines the value.

But it looks like in the case of void that it lets the element content define the value (text:p).

In my attached document, I changed the office:value-type to void for the cells that have "Test void".

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 7 QA Administrators 2016-09-20 09:33:51 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:11:52 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-12-03 04:29:34 UTC
Dear Lionel Elie Mamane,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug